Subject: Re: [PATCH v4] dt-bindings: net: Convert ATH10K to YAML

From: Kalle Valo <[email-masked]>
Date: Mon, 17 Apr 2023 17:31:56 +0300

Konrad Dybcio <[email-masked]> writes:

> On 17.04.2023 12:12, Kalle Valo wrote:
>> Konrad Dybcio <[email-masked]> writes:
>> 
>>> qcom,coexist-support and qcom,coexist-gpio-pin do very little and should
>>> be reconsidered on the driver side, especially the latter one.
>> 
>> I'm curious, what do you mean very little? We set ath10k firmware
>> parameters based on these coex properties. How would you propose to
>> handle these?
>
> Right, I first thought they did nothing and then realized they're
> sent to the fw.. I never amended the commit message though..

Ok, I can remove that sentence before I commit the patch.

>>> --- /dev/null
>>> +++ b/Documentation/devicetree/bindings/net/wireless/qcom,ath10k.yaml
>>> @@ -0,0 +1,358 @@
>>> +# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
>>> +%YAML 1.2
>>> +---
>>> +$id: http://devicetree.org/schemas/net/wireless/qcom,ath10k.yaml#
>>> +$schema: http://devicetree.org/meta-schemas/core.yaml#
>>> +
>>> +title: Qualcomm Technologies ATH10K wireless devices
>> 
>> [...]
>> 
>>> +  wifi-firmware:
>>> +    type: object
>>> +    additionalProperties: false
>>> +    description: |
>>> +      The ATH10K Wi-Fi node can contain one optional firmware subnode.
>>> +      Firmware subnode is needed when the platform does not have Trustzone.
>> 
>> Is there a reason why you write ath10k in upper case? There are two case
>> of that in the yaml file. We usually write it in lower case, can I
>> change to that?
>
> No particular reason, my brain just implicitly decided that it
> should be this way.. Please unify it (or LMK if you want me to
> perform another resend)!

No need to resend. I already changed these to lower case in my pending
branch:

https://git.kernel.org/pub/scm/linux/kernel/git/kvalo/ath.git/commit/?h=pending&id=ca448a93d8669a3af5aa644725444aa61b4ca255

I'll remove the coex sentence later.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches